%define upstream_name Net_Traceroute
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.21.3
Release:     	%mkrel 9
Summary:    	Execute traceroute
License: 	PHP License
Group: 		Development/PHP
Source0: 	https://pear.php.net/get/Net_Traceroute-%{version}.tgz
URL: 		https://pear.php.net/package/Net_Traceroute
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch

%description
OS independent wrapper class for executing traceroute calls

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_Traceroute.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_Traceroute.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_Traceroute
fi

%files
%doc docs/Net_Traceroute/*
%{peardir}/*
%{xmldir}/Net_Traceroute.xml


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.21.3-9.mga9
+ Revision: 1818041
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.21.3-8.mga8
+ Revision: 1499127
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.21.3-7.mga7
+ Revision: 1273739
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 0.21.3-6.mga6
+ Revision: 934407
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.21.3-5.mga5
+ Revision: 740818
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.21.3-4.mga5
+ Revision: 687393
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.21.3-3.mga4
+ Revision: 517102
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.21.3-2.mga3
+ Revision: 377040
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 spuhler <spuhler> 0.21.3-1.mga2
+ Revision: 199910
- upgrade to 0.21.3
  pearized spec file

* Sat Jan 29 2011 spuhler <spuhler> 0.21.1-5.mga1
+ Revision: 43970
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_Traceroute


* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.21.1-5mdv2010.1
+ Revision: 468723
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.21.1-4mdv2010.0
+ Revision: 441494
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.21.1-3mdv2009.1
+ Revision: 322502
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.21.1-2mdv2009.0
+ Revision: 236997
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.21.1-1mdv2008.0
+ Revision: 15706
- 0.21.1


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.21-7mdv2007.0
+ Revision: 82417
- Import php-pear-Net_Traceroute

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.21-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.21-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.21-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.21-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.21-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.21-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.21-1mdk
- initial Mandriva package (PLD import)

